## fltk-utf8 1.1.4-3

=== Makefile ===
#
# "$Id: Makefile,v 1.12.2.6.2.10 2002/01/06 13:40:27 easysw Exp $"
#
# Top-level makefile for the Fast Light Tool Kit (FLTK).
#
# Copyright 1998-2002 by Bill Spitzak and others.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA.
#
# Please report all bugs and problems to "fltk-bugs@fltk.org".
#

include makeinclude

DIRS	=	src fluid test documentation

all: makeinclude
	for dir in $(DIRS); do\
		echo "=== making $$dir ===";\
		(cd $$dir; $(MAKE) $(MFLAGS)) || break;\
	done

install: makeinclude
	-mkdir -p $(bindir)
	$(RM) $(bindir)/fltk-config
	-cp fltk-config $(bindir)
	-chmod 755 $(bindir)/fltk-config
	for dir in FL $(DIRS); do\
		echo "=== installing $$dir ===";\
		(cd $$dir; $(MAKE) $(MFLAGS) install) || break;\
	done

uninstall: makeinclude
	$(RM) $(bindir)/fltk-config
	for dir in FL $(DIRS); do\
		echo "=== uninstalling $$dir ===";\
		(cd $$dir; $(MAKE) $(MFLAGS) uninstall) || break;\
	done

depend: makeinclude
	for dir in $(DIRS); do\
		echo "=== making dependencies in $$dir ===";\
		(cd $$dir; $(MAKE) $(MFLAGS) depend) || break;\
	done

clean:
	$(RM) core *.o
	for dir in $(DIRS); do\
		echo "=== cleaning $$dir ===";\
		(cd $$dir; $(MAKE) $(MFLAGS) clean) || break;\
	done
	(cd lib ;rm -f *.lib *.dll *.exp)
	(rm -f `find . -name .DS_Store -print`)
	(rm -f `find . -name '*~' -print`)
	(cd visualc; rm -rf `find -name '*' -type d  -print`)
	(chmod 0664 `find -name '*' -type f  -print` 2> /dev/null)
	(chmod 775 configure fluid/tounix debian/rules 2>/dev/null)

distclean: clean
	$(RM) config.* makeinclude
	(cd visualc; rm -fr *_; rm -fr Debug fltkdlld; \
		rm -f *.plg *.ncb *.opt *.dll *.ilk *.pdb)
	(cd lib; rm -f fltkd.lib  fltkdlld.exp  fltkdlld.lib *.a st*)

makeinclude: configure configh.in makeinclude.in
	if test -f config.status; then \
		./config.status --recheck; \
		./config.status; \
	else \
		./configure; \
	fi
	touch config.h

configure: configure.in
	autoconf

portable-dist:
	epm -v -s fltk.xpm fltk-utf8

native-dist:
	epm -v -f native fltk-utf8


#
# End of "$Id: Makefile,v 1.12.2.6.2.10 2002/01/06 13:40:27 easysw Exp $".
#

=== FL/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# "$Id: Makefile.in,v 1.1.2.7 2003/01/30 21:40:41 easysw Exp $"
#
# Header makefile for the Fast Light Tool Kit (FLTK).
#
# Copyright 1998-2003 by Bill Spitzak and others.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA.
#
# Please report all bugs and problems to "fltk-bugs@fltk.org".
#

include ../makeinclude

all:

install:
	echo "Installing include files in $(includedir)..."
	-$(MKDIR) -p $(includedir)
	$(RMDIR) $(includedir)/FL
	$(MKDIR) $(includedir)/FL
	$(CHMOD) 755 $(includedir)/FL
	$(CP) ../FL/*.[hHr] $(includedir)/FL
	$(CHMOD) 644 $(includedir)/FL/*.[hHr]
	cd $(includedir)/FL;\
	for file in *.H; do\
		$(RM) "`basename $$file H`h";\
		$(LN) $$file "`basename $$file H`h";\
	done
	$(RM) $(includedir)/FL/fl_file_chooser.H
	$(LN) Fl_File_Chooser.H $(includedir)/FL/fl_file_chooser.H
	$(RM) $(includedir)/FL/fl_file_chooser.h
	$(LN) Fl_File_Chooser.H $(includedir)/FL/fl_file_chooser.h
	$(RM) $(includedir)/Fl
	$(LN) FL $(includedir)/Fl

uninstall:
	echo "Uninstalling include files..."
	$(RMDIR) $(includedir)/FL
	$(RM) $(includedir)/Fl


#
# End of "$Id: Makefile.in,v 1.1.2.7 2003/01/30 21:40:41 easysw Exp $".
#

=== fluid/Makefile ===
#
# "$Id: Makefile,v 1.10.2.6.2.24 2003/08/02 21:17:30 easysw Exp $"
#
# FLUID makefile for the Fast Light Tool Kit (FLTK).
#
# Copyright 1998-2003 by Bill Spitzak and others.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA.
#
# Please report all bugs and problems to "fltk-bugs@fltk.org".
#

CPPFILES = \
	Fl_Function_Type.cxx \
	Fl_Menu_Type.cxx \
	Fl_Group_Type.cxx \
	Fl_Widget_Type.cxx \
	Fl_Type.cxx \
	Fl_Window_Type.cxx \
	Fluid_Image.cxx \
	code.cxx \
	factory.cxx \
	file.cxx \
	fluid.cxx \
	align_widget.cxx \
	about_panel.cxx \
	widget_panel.cxx \
	alignment_panel.cxx \
	function_panel.cxx

################################################################

OBJECTS = $(CPPFILES:.cxx=.o)

CLEAN	= core*

include ../makeinclude

all:	$(FLUID) fluid$(EXEEXT)

fluid$(EXEEXT):		$(OBJECTS) ../lib/$(LIBNAME) ../lib/$(FLLIBNAME) \
			../lib/$(IMGLIBNAME)
	echo Linking $@...
	$(CXX) $(CXXFLAGS) -o $@ $(OBJECTS) $(LINKFLTKFORMS) -lfltk-utf8_images $(IMAGELIBS) $(LDLIBS)
	$(POSTBUILD) $@ ../FL/mac.r

fluid-shared$(EXEEXT):	$(OBJECTS) ../src/$(DSONAME) ../src/$(FLDSONAME) \
			../src/$(IMGDSONAME)
	echo Linking $@...
	$(CXX) $(CXXFLAGS) -o $@ $(OBJECTS) $(LINKSHARED) $(LDLIBS)
	$(POSTBUILD) $@ ../FL/mac.r

clean :
	-@ $(RM) *.o fluid$(EXEEXT) fluid-shared$(EXEEXT) $(CLEAN)
	-@ $(RM) fluid.exe

depend:	$(CPPFILES)
	makedepend -Y -I.. -f makedepend $(CPPFILES)

# Automatically generated dependencies...
include makedepend

install: all
	echo "Installing FLUID in $(bindir)..."
	-$(MKDIR) $(bindir)
	$(CP) $(FLUID) $(bindir)/fluid$(EXEEXT)
	$(STRIP) $(bindir)/fluid$(EXEEXT)
	$(bindir)/fltk-config --post $(bindir)/fluid$(EXEEXT)
	$(CHMOD) 755 $(bindir)/fluid$(EXEEXT)

uninstall:
	$(RM) $(bindir)/fluid

#
# Note: The rebuild target can only be used if you have the original .fl
#       files.  This is normally only used by the FLTK maintainers...
#

rebuild:
	./fluid -c about_panel.fl
	./fluid -c alignment_panel.fl
	./fluid -c function_panel.fl
	./fluid -c widget_panel.fl

#
# End of "$Id: Makefile,v 1.10.2.6.2.24 2003/08/02 21:17:30 easysw Exp $".
#

=== src/Makefile ===
#
# "$Id: Makefile,v 1.18.2.14.2.54 2003/08/24 13:09:06 easysw Exp $"
#
# Library makefile for the Fast Light Tool Kit (FLTK).
#
# Copyright 1998-2003 by Bill Spitzak and others.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA.
#
# Please report all bugs and problems to "fltk-utf8-bugs@fltk-utf8.org".
#

CPPFILES = \
	Fl.cxx \
	Fl_Adjuster.cxx \
	Fl_Bitmap.cxx \
	Fl_Browser.cxx \
	Fl_Browser_.cxx \
	Fl_Browser_load.cxx \
	Fl_Box.cxx \
	Fl_Button.cxx \
	Fl_Chart.cxx \
	Fl_Check_Browser.cxx \
	Fl_Check_Button.cxx \
	Fl_Choice.cxx \
	Fl_Clock.cxx \
	Fl_Color_Chooser.cxx \
	Fl_Counter.cxx \
	Fl_Dial.cxx \
	Fl_Double_Window.cxx \
	Fl_File_Browser.cxx \
	Fl_File_Chooser.cxx \
	Fl_File_Chooser2.cxx \
	Fl_File_Icon.cxx \
	Fl_File_Input.cxx \
	Fl_Group.cxx \
	Fl_Help_View.cxx \
	Fl_Image.cxx \
	Fl_Input.cxx \
	Fl_Input_.cxx \
	Fl_Light_Button.cxx \
	Fl_Menu.cxx \
	Fl_Menu_.cxx \
	Fl_Menu_Bar.cxx \
	Fl_Menu_Button.cxx \
	Fl_Menu_Window.cxx \
	Fl_Menu_add.cxx \
	Fl_Menu_global.cxx \
	Fl_Multi_Label.cxx \
	Fl_Overlay_Window.cxx \
	Fl_Pack.cxx \
	Fl_Pixmap.cxx \
	Fl_Positioner.cxx \
	Fl_Preferences.cxx \
	Fl_Progress.cxx \
	Fl_Ps.cxx \
	Fl_Repeat_Button.cxx \
	Fl_Return_Button.cxx \
	Fl_Roller.cxx \
	Fl_Round_Button.cxx \
	Fl_Scroll.cxx \
	Fl_Scrollbar.cxx \
	Fl_Shaped_Window.cxx \
	Fl_Shared_Image.cxx \
	Fl_Single_Window.cxx \
	Fl_Slider.cxx \
	Fl_Tabs.cxx \
	Fl_Text_Buffer.cxx \
	Fl_Text_Display.cxx \
	Fl_Text_Editor.cxx \
	Fl_Tile.cxx \
	Fl_Tiled_Image.cxx \
	Fl_Tooltip.cxx \
	Fl_Tree.cxx \
	Fl_Valuator.cxx \
	Fl_Value_Input.cxx \
	Fl_Value_Output.cxx \
	Fl_Value_Slider.cxx \
	Fl_Widget.cxx \
	Fl_Window.cxx \
	Fl_Window_fullscreen.cxx \
	Fl_Window_hotspot.cxx \
	Fl_Window_iconize.cxx \
	Fl_Wizard.cxx \
	Fl_XBM_Image.cxx \
	Fl_XPM_Image.cxx \
	Fl_abort.cxx \
	Fl_add_idle.cxx \
	Fl_arg.cxx \
	Fl_compose.cxx \
	Fl_display.cxx \
	Fl_get_key.cxx \
	Fl_get_system_colors.cxx \
	Fl_grab.cxx \
	Fl_lock.cxx \
	Fl_own_colormap.cxx \
	Fl_visual.cxx \
	Fl_x.cxx \
	filename_absolute.cxx \
	filename_expand.cxx \
	filename_ext.cxx \
	filename_isdir.cxx \
	filename_list.cxx \
	filename_match.cxx \
	filename_setext.cxx \
	fl_arc.cxx \
	fl_arci.cxx \
	fl_ask.cxx \
	fl_boxtype.cxx \
	fl_color.cxx \
	fl_cursor.cxx \
	fl_curve.cxx \
	fl_diamond_box.cxx \
	fl_dnd.cxx \
	fl_draw.cxx \
	fl_draw_image.cxx \
	fl_draw_pixmap.cxx \
	fl_engraved_label.cxx \
	fl_file_dir.cxx \
	fl_font.cxx \
	fl_labeltype.cxx \
	fl_line_style.cxx \
	fl_oval_box.cxx \
	fl_overlay.cxx \
	fl_overlay_visual.cxx \
	fl_plastic.cxx \
	fl_read_image.cxx \
	fl_rect.cxx \
	fl_round_box.cxx \
	fl_rounded_box.cxx \
	fl_set_font.cxx \
	fl_set_fonts.cxx \
	fl_scroll_area.cxx \
	fl_shadow_box.cxx \
	fl_shortcut.cxx \
	fl_show_colormap.cxx \
	fl_symbols.cxx \
	fl_vertex.cxx \
	fl_utf8.cxx 

FLCPPFILES = \
	forms_compatability.cxx \
	forms_bitmap.cxx \
	forms_free.cxx \
	forms_fselect.cxx \
	forms_pixmap.cxx \
	forms_timer.cxx

GLCPPFILES = \
	Fl_Gl_Choice.cxx \
	Fl_Gl_Overlay.cxx \
	Fl_Gl_Window.cxx \
	gl_draw.cxx \
	gl_start.cxx \
	glut_compatability.cxx \
	glut_font.cxx

IMGCPPFILES = \
	fl_images_core.cxx \
	Fl_BMP_Image.cxx \
	Fl_File_Icon2.cxx \
	Fl_GIF_Image.cxx \
	Fl_Help_Dialog.cxx \
	Fl_JPEG_Image.cxx \
	Fl_PNG_Image.cxx \
	Fl_PNM_Image.cxx

CFILES = fl_call_main.c flstring.c scandir.c numericsort.c vsnprintf.c

CLEAN =	core* cmap *.obj *.lib

################################################################

include ../makeinclude

OBJECTS = $(CPPFILES:.cxx=.o) $(CFILES:.c=.o)
GLOBJECTS = $(GLCPPFILES:.cxx=.o)
FLOBJECTS = $(FLCPPFILES:.cxx=.o)
IMGOBJECTS = $(IMGCPPFILES:.cxx=.o)

all:	$(LIBNAME) $(DSONAME) \
	$(FLLIBNAME) $(FLDSONAME) \
	$(GLLIBNAME) $(GLDSONAME) \
	$(IMGLIBNAME) $(IMGDSONAME)

$(LIBNAME): $(OBJECTS)
	echo $(LIBCOMMAND) $@ ...
	-$(RM) $@
	$(LIBCOMMAND) $@ $(OBJECTS)
	$(RANLIB) $@

libfltk-utf8.so.1.1: $(OBJECTS)
	echo $(DSOCOMMAND) $@ ...
	$(DSOCOMMAND) $@ $(OBJECTS) 
	-$(RM) libfltk-utf8.so
	$(LN) libfltk-utf8.so.1.1 libfltk-utf8.so

libfltk-utf8.sl.1.1: $(OBJECTS)
	echo $(DSOCOMMAND) $@ ...
	$(DSOCOMMAND) $@ $(OBJECTS) 
	-$(RM) libfltk-utf8.sl
	$(LN) libfltk-utf8.sl.1.1 libfltk-utf8.sl

libfltk-utf8.1.1.dylib: $(OBJECTS)
	echo $(DSOCOMMAND) $@ ...
	$(DSOCOMMAND) $@ \
		-install_name $(libdir)/$@ \
		-current_version 1.1.4 \
		-compatibility_version 1.1.0 \
		$(OBJECTS) $(LDLIBS)
	-$(RM) libfltk-utf8.dylib
	$(LN) libfltk-utf8.1.1.dylib libfltk-utf8.dylib

libfltk-utf8_s.a: $(OBJECTS)
	echo $(DSOCOMMAND) libfltk-utf8_s.o ...
	$(DSOCOMMAND) libfltk-utf8_s.o $(OBJECTS) $(IMAGELIBS)
	echo $(LIBCOMMAND) libfltk-utf8_s.a libfltk-utf8_s.o
	-$(RM) $@
	$(LIBCOMMAND) libfltk-utf8_s.a libfltk-utf8_s.o
	$(CHMOD) +x libfltk-utf8_s.a

$(FLLIBNAME): $(FLOBJECTS)
	echo $(LIBCOMMAND) $@ ...
	-$(RM) $@
	$(LIBCOMMAND) $@ $(FLOBJECTS)
	$(RANLIB) $@

libfltk-utf8_forms.so.1.1: $(FLOBJECTS) libfltk-utf8.so.1.1
	echo $(DSOCOMMAND) $@ ...
	$(DSOCOMMAND) $@ $(FLOBJECTS) -L. -lfltk-utf8
	-$(RM) libfltk-utf8_forms.so
	$(LN) libfltk-utf8_forms.so.1.1 libfltk-utf8_forms.so

libfltk-utf8_forms.sl.1.1: $(FLOBJECTS) libfltk-utf8.sl.1.1
	echo $(DSOCOMMAND) $@ ...
	$(DSOCOMMAND) $@ $(FLOBJECTS) -L. -lfltk-utf8
	-$(RM) libfltk-utf8_forms.sl
	$(LN) libfltk-utf8_forms.sl.1.1 libfltk-utf8_forms.sl

libfltk-utf8_forms.1.1.dylib: $(FLOBJECTS) libfltk-utf8.1.1.dylib
	echo $(DSOCOMMAND) $@ ...
	$(DSOCOMMAND) $@ \
		-install_name $(libdir)/$@ \
		-current_version 1.1.4 \
		-compatibility_version 1.1.0 \
		$(FLOBJECTS) $(LDLIBS) -L. -lfltk-utf8
	-$(RM) libfltk-utf8_forms.dylib
	$(LN) libfltk-utf8_forms.1.1.dylib libfltk-utf8_forms.dylib

libfltk-utf8_forms_s.a: $(FLOBJECTS)
	echo $(DSOCOMMAND) libfltk-utf8_forms_s.o ...
	$(DSOCOMMAND) libfltk-utf8_forms_s.o $(FLOBJECTS)
	echo $(LIBCOMMAND) libfltk-utf8_forms_s.a libfltk-utf8_forms_s.o
	-$(RM) $@
	$(LIBCOMMAND) libfltk-utf8_forms_s.a libfltk-utf8_forms_s.o
	$(CHMOD) +x libfltk-utf8_forms_s.a

$(GLLIBNAME): $(GLOBJECTS)
	echo $(LIBCOMMAND) $@ ...
	-$(RM) $@
	$(LIBCOMMAND) $@ $(GLOBJECTS)
	$(RANLIB) $@

libfltk-utf8_gl.so.1.1: $(GLOBJECTS) libfltk-utf8.so.1.1
	echo $(DSOCOMMAND) $@ ...
	$(DSOCOMMAND) $@ $(GLOBJECTS) -L. -lfltk-utf8
	-$(RM) libfltk-utf8_gl.so
	$(LN) libfltk-utf8_gl.so.1.1 libfltk-utf8_gl.so

libfltk-utf8_gl.sl.1.1: $(GLOBJECTS) libfltk-utf8.sl.1.1
	echo $(DSOCOMMAND) $@ ...
	$(DSOCOMMAND) $@ $(GLOBJECTS) -L. -lfltk-utf8
	-$(RM) libfltk-utf8_gl.sl
	$(LN) libfltk-utf8_gl.sl.1.1 libfltk-utf8_gl.sl

libfltk-utf8_gl.1.1.dylib: $(GLOBJECTS) libfltk-utf8.1.1.dylib
	echo $(DSOCOMMAND) $@ ...
	$(DSOCOMMAND) $@ \
		-install_name $(libdir)/$@ \
		-current_version 1.1.4 \
		-compatibility_version 1.1.0 \
		$(GLOBJECTS) $(GLDLIBS) -L. -lfltk-utf8
	-$(RM) libfltk-utf8_gl.dylib
	$(LN) libfltk-utf8_gl.1.1.dylib libfltk-utf8_gl.dylib

libfltk-utf8_gl_s.a: $(GLOBJECTS)
	echo $(DSOCOMMAND) libfltk-utf8_gl_s.o ...
	$(DSOCOMMAND) libfltk-utf8_gl_s.o $(GLOBJECTS)
	echo $(LIBCOMMAND) libfltk-utf8_gl_s.a libfltk-utf8_gl_s.o
	-$(RM) $@
	$(LIBCOMMAND) libfltk-utf8_gl_s.a libfltk-utf8_gl_s.o
	$(CHMOD) +x libfltk-utf8_gl_s.a

$(IMGLIBNAME): $(IMGOBJECTS)
	echo $(LIBCOMMAND) $@ ...
	-$(RM) $@
	$(LIBCOMMAND) $@ $(IMGOBJECTS)
	$(RANLIB) $@

libfltk-utf8_images.so.1.1: $(IMGOBJECTS) libfltk-utf8.so.1.1
	echo $(DSOCOMMAND) $@ ...
	$(DSOCOMMAND) $@ $(IMGOBJECTS) -L. -lfltk-utf8
	-$(RM) libfltk-utf8_images.so
	$(LN) libfltk-utf8_images.so.1.1 libfltk-utf8_images.so

libfltk-utf8_images.sl.1.1: $(IMGOBJECTS) libfltk-utf8.sl.1.1
	echo $(DSOCOMMAND) $@ ...
	$(DSOCOMMAND) $@ $(IMGOBJECTS) -L. -lfltk-utf8
	-$(RM) libfltk-utf8_images.sl
	$(LN) libfltk-utf8_images.sl.1.1 libfltk-utf8_images.sl

libfltk-utf8_images.1.1.dylib: $(IMGOBJECTS) libfltk-utf8.1.1.dylib
	echo $(DSOCOMMAND) $@ ...
	$(DSOCOMMAND) $@ \
		-install_name $(libdir)/$@ \
		-current_version 1.1.4 \
		-compatibility_version 1.1.0 \
		$(GLOBJECTS) $(GLDLIBS) -L. -lfltk-utf8
	-$(RM) libfltk-utf8_images.dylib
	$(LN) libfltk-utf8_images.1.1.dylib libfltk-utf8_images.dylib

libfltk-utf8_images_s.a: $(IMGOBJECTS)
	echo $(DSOCOMMAND) libfltk-utf8_images_s.o ...
	$(DSOCOMMAND) libfltk-utf8_images_s.o $(IMGOBJECTS)
	echo $(LIBCOMMAND) libfltk-utf8_images_s.a libfltk-utf8_images_s.o
	-$(RM) $@
	$(LIBCOMMAND) libfltk-utf8_images_s.a libfltk-utf8_images_s.o
	$(CHMOD) +x libfltk-utf8_images_s.a


clean :
	-@ $(RM) *.o $(DSONAME) $(FLDSONAME) $(GLDSONAME) $(IMGDSONAME) \
		../lib/$(LIBNAME) ../lib/$(FLLIBNAME) ../lib/$(GLLIBNAME) \
		../lib/$(IMGLIBNAME) \
		libfltk-utf8.so libfltk-utf8_forms.so libfltk-utf8_gl.so libfltk-utf8_images.so \
		libfltk-utf8.sl libfltk-utf8_forms.sl libfltk-utf8_gl.sl libfltk-utf8_images.sl \
		libfltk-utf8.dylib libfltk-utf8_forms.dylib \
		libfltk-utf8_gl.dylib libfltk-utf8_images.dylib \
		$(CLEAN)

depend:	$(CPPFILES) $(FLCPPFILES) $(GLCPPFILES) $(IMGCPPFILES) $(CFILES)
	makedepend -Y -I.. -f makedepend $(CPPFILES) $(FLCPPFILES) \
		$(GLCPPFILES) $(IMGCPPFILES) $(CFILES)

# Automatically generated dependencies...
include makedepend

# These dependencies aren't part of the makedepend file since
# they are part of the WIN32 and MacOS code base...
Fl_get_key.o:	Fl_get_key_mac.cxx Fl_get_key_win32.cxx
Fl_x.o:		Fl_mac.cxx Fl_win32.cxx
fl_color.o:	fl_color_mac.cxx fl_color_win32.cxx
fl_dnd.o:	fl_dnd_mac.cxx fl_dnd_win32.cxx fl_dnd_x.cxx
fl_draw_image.o: fl_draw_image_mac.cxx fl_draw_image_win32.cxx
fl_font.o:	fl_font_mac.cxx fl_font_x.cxx fl_font_xft.cxx fl_font_win32.cxx
fl_read_image.o: fl_read_image_mac.cxx fl_read_image_win32.cxx
fl_set_fonts.o:	fl_set_fonts_mac.cxx fl_set_fonts_x.cxx \
		fl_set_fonts_xft.cxx fl_set_fonts_win32.cxx

fl_arci.o:	../FL/mac.H ../FL/win32.H
Fl_arg.o:	../FL/mac.H ../FL/win32.H
fl_ask.o:	../FL/mac.H ../FL/win32.H
Fl_Bitmap.o:	../FL/mac.H ../FL/win32.H
fl_color.o:	../FL/mac.H ../FL/win32.H
fl_cursor.o:	../FL/mac.H ../FL/win32.H
fl_dnd.o:	../FL/mac.H ../FL/win32.H
Fl.o:	../FL/mac.H ../FL/win32.H
Fl_Double_Window.o:	../FL/mac.H ../FL/win32.H
fl_draw_image.o:	../FL/mac.H ../FL/win32.H
fl_draw_image_mac.o:	../FL/mac.H ../FL/win32.H
fl_draw_image_win32.o:	../FL/mac.H ../FL/win32.H
fl_draw_pixmap.o:	../FL/mac.H ../FL/win32.H
Fl_File_Chooser2.o:	../FL/mac.H ../FL/win32.H
fl_font.o:	../FL/mac.H ../FL/win32.H
Fl_get_key.o:	../FL/mac.H ../FL/win32.H
Fl_get_system_colors.o:	../FL/mac.H ../FL/win32.H
Fl_Gl_Choice.o:	../FL/mac.H ../FL/win32.H
Fl_Gl_Overlay.o:	../FL/mac.H ../FL/win32.H
Fl_Gl_Window.o:	../FL/mac.H ../FL/win32.H
Fl_grab.o:	../FL/mac.H ../FL/win32.H
Fl_Image.o:	../FL/mac.H ../FL/win32.H
fl_line_style.o:	../FL/mac.H ../FL/win32.H
Fl_mac.o:	../FL/mac.H ../FL/win32.H
Fl_Menu_Window.o:	../FL/mac.H ../FL/win32.H
fl_overlay.o:	../FL/mac.H ../FL/win32.H
fl_overlay_visual.o:	../FL/mac.H ../FL/win32.H
Fl_Overlay_Window.o:	../FL/mac.H ../FL/win32.H
Fl_own_colormap.o:	../FL/mac.H ../FL/win32.H
Fl_Pixmap.o:	../FL/mac.H ../FL/win32.H
fl_read_image.o:	../FL/mac.H ../FL/win32.H
fl_read_image_mac.o:	../FL/mac.H ../FL/win32.H
fl_read_image_win32.o:	../FL/mac.H ../FL/win32.H
fl_rect.o:	../FL/mac.H ../FL/win32.H
fl_scroll_area.o:	../FL/mac.H ../FL/win32.H
fl_set_font.o:	../FL/mac.H ../FL/win32.H
fl_set_fonts.o:	../FL/mac.H ../FL/win32.H
fl_shortcut.o:	../FL/mac.H ../FL/win32.H
fl_vertex.o:	../FL/mac.H ../FL/win32.H
Fl_visual.o:	../FL/mac.H ../FL/win32.H
Fl_Window_fullscreen.o:	../FL/mac.H ../FL/win32.H
Fl_Window_iconize.o:	../FL/mac.H ../FL/win32.H
Fl_x.o:	../FL/mac.H ../FL/win32.H

=== test/Makefile ===
#
# "$Id: Makefile,v 1.19.2.7.2.40 2003/09/05 12:24:31 easysw Exp $"
#
# Test/example program makefile for the Fast Light Tool Kit (FLTK).
#
# Copyright 1998-2003 by Bill Spitzak and others.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA.
#
# Please report all bugs and problems to "fltk-bugs@fltk.org".
#

include ../makeinclude

CPPFILES =\
	adjuster.cxx \
	arc.cxx \
	ask.cxx \
	bitmap.cxx \
	boxtype.cxx \
	browser.cxx \
	button.cxx \
	buttons.cxx \
	checkers.cxx \
	clock.cxx \
	colbrowser.cxx \
	color_chooser.cxx \
	cube.cxx \
	CubeMain.cxx \
	CubeView.cxx \
	cursor.cxx \
	curve.cxx \
	demo.cxx \
	dnd.cxx \
	doublebuffer.cxx \
	editor.cxx \
	fast_slow.cxx \
	file_chooser.cxx \
	flv_testedit.cxx \
	fonts.cxx \
	forms.cxx \
	fractals.cxx \
	fullscreen.cxx \
	gl_overlay.cxx \
	glpuzzle.cxx \
	hello.cxx \
	help.cxx \
	iconize.cxx \
	image.cxx \
	inactive.cxx \
	input.cxx \
	keyboard.cxx \
	label.cxx \
	line_style.cxx \
	list_visuals.cxx \
	mandelbrot.cxx \
	menubar.cxx \
	message.cxx \
	minimum.cxx \
	navigation.cxx \
	output.cxx \
	overlay.cxx \
	pack.cxx \
	pixmap_browser.cxx \
	pixmap.cxx \
	preferences.cxx \
	radio.cxx \
	readimg.cxx \
	resizebox.cxx \
	resize.cxx \
	scribble.cxx \
	scroll.cxx \
	shape.cxx \
	subwindow.cxx \
	symbols.cxx \
	tabs.cxx \
	threads.cxx \
	tile.cxx \
	tiled_image.cxx \
	tree.cxx \
	utf8.cxx \
	valuators.cxx

ALL =	\
	adjuster$(EXEEXT) \
	arc$(EXEEXT) \
	ask$(EXEEXT) \
	bitmap$(EXEEXT) \
	boxtype$(EXEEXT) \
	browser$(EXEEXT) \
	button$(EXEEXT) \
	buttons$(EXEEXT) \
	checkers$(EXEEXT) \
	clock$(EXEEXT) \
	colbrowser$(EXEEXT) \
	color_chooser$(EXEEXT) \
	cursor$(EXEEXT) \
	curve$(EXEEXT) \
	demo$(EXEEXT) \
	dnd$(EXEEXT) \
	doublebuffer$(EXEEXT) \
	editor$(EXEEXT) \
	fast_slow$(EXEEXT) \
	file_chooser$(EXEEXT) \
	fonts$(EXEEXT) \
	forms$(EXEEXT) \
	hello$(EXEEXT) \
	help$(EXEEXT) \
	iconize$(EXEEXT) \
	image$(EXEEXT) \
	inactive$(EXEEXT) \
	input$(EXEEXT) \
	keyboard$(EXEEXT) \
	label$(EXEEXT) \
	line_style$(EXEEXT) \
	list_visuals$(EXEEXT) \
	mandelbrot$(EXEEXT) \
	menubar$(EXEEXT) \
	message$(EXEEXT) \
	minimum$(EXEEXT) \
	navigation$(EXEEXT) \
	output$(EXEEXT) \
	overlay$(EXEEXT) \
	pack$(EXEEXT) \
	pixmap$(EXEEXT) \
	pixmap_browser$(EXEEXT) \
	preferences$(EXEEXT) \
	radio$(EXEEXT) \
	readimg$(EXEEXT) \
	resize$(EXEEXT) \
	resizebox$(EXEEXT) \
	scribble$(EXEEXT) \
	scroll$(EXEEXT) \
	subwindow$(EXEEXT) \
	symbols$(EXEEXT) \
	tabs$(EXEEXT) \
	$(THREADS) \
	tile$(EXEEXT) \
	tiled_image$(EXEEXT) \
	tree$(EXEEXT) \
	utf8$(EXEEXT) \
	valuators$(EXEEXT)

GLALL = \
	cube$(EXEEXT) \
	CubeView$(EXEEXT) \
	fractals$(EXEEXT) \
	fullscreen$(EXEEXT) \
	gl_overlay$(EXEEXT) \
	glpuzzle$(EXEEXT) \
	shape$(EXEEXT)

all:	$(ALL) $(GLDEMOS)

gldemos:	$(GLALL)

depend:	$(CPPFILES)
	makedepend -Y -I.. -f makedepend $(CPPFILES)

# Automatically generated dependencies...
include makedepend

clean:
	-@ rm -f $(ALL) $(GLALL) *.o *.obj core *~ *.exe *.ilk *.lib *.exp *.bsc
	-@ rm -f CubeViewUI.cxx fast_slow.cxx inactive.cxx keyboard_ui.cxx \
		mandelbrot_ui.cxx preferences.cxx radio.cxx resize.cxx \
		tabs.cxx valuators.cxx shiny_panel.cxx
	-@ rm -f CubeViewUI.h fast_slow.h inactive.h keyboard_ui.h \
		mandelbrot_ui.h preferences. radio.h resize.h \
		tabs.h valuators.h shiny_panel.h

install:
	@echo Nothing to install in test directory.

uninstall:
	@echo Nothing to uninstall in test directory.


# FLUID file rules
.fl.cxx .fl.h:	../fluid/fluid$(EXEEXT)
	echo Generating $<...
	../fluid/fluid$(EXEEXT) -c $<

# All demos depend on the FLTK library...
$(ALL): ../lib/$(LIBNAME)

# General demos...
adjuster$(EXEEXT): adjuster.o

arc$(EXEEXT): arc.o

ask$(EXEEXT): ask.o

bitmap$(EXEEXT): bitmap.o

boxtype$(EXEEXT): boxtype.o

browser$(EXEEXT): browser.o

button$(EXEEXT): button.o

buttons$(EXEEXT): buttons.o

checkers$(EXEEXT): checkers.o

clock$(EXEEXT): clock.o

colbrowser$(EXEEXT): colbrowser.o
	echo Linking $@...
	$(CXX) -I.. $(CXXFLAGS) -o $@ $< $(LINKFLTKFORMS) $(LDLIBS)
	$(POSTBUILD) $@ ../FL/mac.r

color_chooser$(EXEEXT): color_chooser.o

cursor$(EXEEXT): cursor.o

curve$(EXEEXT): curve.o

demo$(EXEEXT): demo.o
	echo Linking $@...
	$(CXX) -I.. $(CXXFLAGS) -o $@ $< $(LINKFLTKFORMS) $(LDLIBS)
	$(POSTBUILD) $@ ../FL/mac.r

doublebuffer$(EXEEXT): doublebuffer.o

editor$(EXEEXT): editor.o
	echo Linking $@...
	$(CXX) -I.. $(CXXFLAGS) editor.o -o $@ $(LINKFLTKIMG) $(LDLIBS)
	$(POSTBUILD) $@ ../FL/mac.r

fast_slow$(EXEEXT): fast_slow.o
fast_slow.cxx:	fast_slow.fl

file_chooser$(EXEEXT): file_chooser.o ../lib/$(IMGLIBNAME)
	echo Linking $@...
	$(CXX) -I.. $(CXXFLAGS) file_chooser.o -o $@ $(LINKFLTKIMG) $(LDLIBS)
	$(POSTBUILD) $@ ../FL/mac.r

fonts$(EXEEXT): fonts.o

forms$(EXEEXT): forms.o
	echo Linking $@...
	$(CXX) -I.. $(CXXFLAGS) -o $@ $< $(LINKFLTKFORMS) $(LDLIBS)
	$(POSTBUILD) $@ ../FL/mac.r

hello$(EXEEXT): hello.o

help$(EXEEXT): help.o ../lib/$(IMGLIBNAME)
	echo Linking $@...
	$(CXX) -I.. $(CXXFLAGS) help.o -o $@ $(LINKFLTKIMG) $(LDLIBS)
	$(POSTBUILD) $@ ../FL/mac.r

iconize$(EXEEXT): iconize.o

image$(EXEEXT): image.o

inactive$(EXEEXT): inactive.o
inactive.cxx:	inactive.fl

input$(EXEEXT): input.o

keyboard$(EXEEXT): keyboard_ui.o keyboard.o
	echo Linking $@...
	$(CXX) -I.. $(CXXFLAGS) -o $@ keyboard.o keyboard_ui.o $(LINKFLTK) $(LDLIBS)
	$(POSTBUILD) $@ ../FL/mac.r
keyboard_ui.o:	keyboard_ui.h
keyboard_ui.cxx:	keyboard_ui.fl

label$(EXEEXT): label.o
	echo Linking $@...
	$(CXX) -I.. $(CXXFLAGS) -o $@ $< $(LINKFLTKFORMS) $(LDLIBS)
	$(POSTBUILD) $@ ../FL/mac.r

line_style$(EXEEXT): line_style.o

list_visuals$(EXEEXT): list_visuals.o

mandelbrot$(EXEEXT): mandelbrot_ui.o mandelbrot.o
	echo Linking $@...
	$(CXX) -I.. $(CXXFLAGS) -o $@ mandelbrot.o mandelbrot_ui.o $(LINKFLTK) $(LDLIBS)
	$(POSTBUILD) $@ ../FL/mac.r
mandelbrot_ui.o:	mandelbrot_ui.h
mandelbrot_ui.cxx:	mandelbrot_ui.fl

menubar$(EXEEXT): menubar.o

message$(EXEEXT): message.o

minimum$(EXEEXT): minimum.o

navigation$(EXEEXT): navigation.o

output$(EXEEXT): output.o ../lib/$(FLLIBNAME)
	echo Linking $@...
	$(CXX) -I.. $(CXXFLAGS) -o $@ $< $(LINKFLTKFORMS) $(LDLIBS)
	$(POSTBUILD) $@ ../FL/mac.r

overlay$(EXEEXT): overlay.o

pack$(EXEEXT): pack.o

pixmap$(EXEEXT): pixmap.o

pixmap_browser$(EXEEXT): pixmap_browser.o ../lib/$(IMGLIBNAME)
	echo Linking $@...
	$(CXX) -I.. $(CXXFLAGS) pixmap_browser.o -o $@ $(LINKFLTKIMG) $(LDLIBS)
	$(POSTBUILD) $@ ../FL/mac.r

preferences$(EXEEXT):	preferences.o
preferences.cxx:	preferences.fl

radio$(EXEEXT): radio.o
radio.cxx:	radio.fl

resize$(EXEEXT): resize.o
resize.cxx:	resize.fl

resizebox$(EXEEXT): resizebox.o

scribble$(EXEEXT): scribble.o

scroll$(EXEEXT): scroll.o
	$(CXX) $(CXXFLAGS) -o $@ scroll.o \
		$(LINKFLTKGL) $(LINKFLTK) $(GLDLIBS) 

readimg$(EXEEXT): readimg.o
	$(CXX) $(CXXFLAGS) -o $@ readimg.o \
		$(LINKFLTKGL) $(LINKFLTK) $(GLDLIBS) 


subwindow$(EXEEXT): subwindow.o

symbols$(EXEEXT): symbols.o

tabs$(EXEEXT): tabs.o
tabs.cxx:	tabs.fl

threads$(EXEEXT): threads.o

tile$(EXEEXT): tile.o

tiled_image$(EXEEXT): tiled_image.o

tree$(EXEEXT): tree.o

valuators$(EXEEXT): valuators.o
valuators.cxx:	valuators.fl

# All OpenGL demos depend on the FLTK and FLTK_GL libraries...
$(GLALL): ../lib/$(LIBNAME) ../lib/$(GLLIBNAME)

# OpenGL demos...
CubeView$(EXEEXT): CubeMain.o CubeView.o CubeViewUI.o
	echo Linking $@...
	$(CXX) $(CXXFLAGS) -o $@ CubeMain.o CubeView.o CubeViewUI.o \
		$(LINKFLTKGL) $(LINKFLTK) $(GLDLIBS)
	$(POSTBUILD) $@ ../FL/mac.r
CubeMain.o: CubeViewUI.h CubeView.h
CubeView.o: CubeView.h
CubeViewUI.o:	CubeViewUI.h
CubeViewUI.cxx:	CubeViewUI.fl

cube$(EXEEXT): cube.o
	echo Linking $@...
	$(CXX) -I.. $(CXXFLAGS) -o $@ cube.o $(LINKFLTKGL) $(LINKFLTK) $(GLDLIBS)
	$(POSTBUILD) $@ ../FL/mac.r
fractals$(EXEEXT): fractals.o fracviewer.o
	echo Linking $@...
	$(CXX) -I.. $(CXXFLAGS) -o $@ fractals.o fracviewer.o $(LINKFLTKGL) $(LINKFLTK) $(GLDLIBS)
	$(POSTBUILD) $@ ../FL/mac.r
fullscreen$(EXEEXT): fullscreen.o
	echo Linking $@...
	$(CXX) -I.. $(CXXFLAGS) -o $@ fullscreen.o $(LINKFLTKGL) $(LINKFLTK) $(GLDLIBS)
	$(POSTBUILD) $@ ../FL/mac.r
glpuzzle$(EXEEXT): glpuzzle.o
	echo Linking $@...
	$(CXX) -I.. $(CXXFLAGS) -o $@ glpuzzle.o $(LINKFLTKGL) $(LINKFLTK) $(GLDLIBS)
	$(POSTBUILD) $@ ../FL/mac.r
gl_overlay$(EXEEXT): gl_overlay.o
	echo Linking $@...
	$(CXX) -I.. $(CXXFLAGS) -o $@ gl_overlay.o $(LINKFLTKGL) $(LINKFLTK) $(GLDLIBS)
	$(POSTBUILD) $@ ../FL/mac.r
shape$(EXEEXT): shape.o
	echo Linking $@...
	$(CXX) -I.. $(CXXFLAGS) -o $@ shape.o $(LINKFLTKGL) $(LINKFLTK) $(GLDLIBS)
	$(POSTBUILD) $@ ../FL/mac.r


#
# End of "$Id: Makefile,v 1.19.2.7.2.40 2003/09/05 12:24:31 easysw Exp $".
#

=== debian/changelog ===
fltk-utf8 (1.1.4-3) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Fri, 21 Feb 2004 15:22:45 -0800

fltk-utf8 (1.1.4-2) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Tue, 16 Sep 2003 15:22:45 -0800

fltk-utf8 (1.1.4-1) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Thu, 11 Sep 2003 15:22:45 -0800

fltk-utf8 (1.1.3-3) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Tue, 1 Jul 2003 15:22:45 -0800

fltk-utf8 (1.1.3-2) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Sun, 23 Feb 2003 15:22:45 -0800

fltk-utf8 (1.1.3-1) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Tue, 18 Feb 2003 15:22:45 -0800

fltk-utf8 (1.1.2-5) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Tue, 4 Feb 2003 15:22:45 -0800

fltk-utf8 (1.1.2-4) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Sun, 2 Feb 2003 15:22:45 -0800

fltk-utf8 (1.1.2-3) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Thu, 2 Jan 2003 15:22:45 -0800

fltk-utf8 (1.1.2-2) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Tue, 24 Dec 2002 15:22:45 -0800

fltk-utf8 (1.1.2-1) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Mon, 11 Dec 2002 15:22:45 -0800

fltk-utf8 (1.1.1-5) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Mon, 25 Nov 2002 15:22:45 -0800

fltk-utf8 (1.1.1-4) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Sun, 17 Nov 2002 15:22:45 -0800

fltk-utf8 (1.1.1-3) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Tue, 5 Nov 2002 15:22:45 -0800

fltk-utf8 (1.1.1-2) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Tue, 5 Nov 2002 15:22:45 -0800

fltk-utf8 (1.1.0b11-5) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Sun, 20 Jan 2002 15:22:45 -0800

fltk-utf8 (1.0.11-5) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Sun, 20 Jan 2002 15:22:45 -0800

fltk-utf8 (1.0.11-4) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Thu, 3 Jan 2002 15:22:45 -0800

fltk-utf8 (1.0.11-3) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Sat, 29 Dec 2001 15:22:45 -0800

fltk-utf8 (1.0.11-2) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Thu, 22 Nov 2001 15:22:45 -0800

fltk-utf8 (1.0.11-1) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Sat, 20 Oct 2001 15:22:45 -0800

Local variables:
Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: fltk-utf8
Section: main
Priority: optional
Maintainer: Jean-Marc Lienher <oksid@bluewin.ch>
Standards-Version: 3.1.0

Package: libfltk-utf8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libxutf8
Description: The UTF-8 Fast Light Toolkit, a GUI toolkit inspired by libForms
 This is a very nice LGPL'd graphic user interface toolkit originally based on
 libForms. 

Package: libfltk-utf8-dev
Section: devel
Architecture: any
Depends: libfltk-utf8 (>= ${Source-Version}), libc-dev, libstdc++-dev 
Conflicts: libfltk1-dev
Description: The UTF-8 Fast Light Toolkit, and the Fluid user interface designer
 This includes the static libraries and header files to build libfltk programs.
 Fltk is an attractive, fast, and flexible graphic user interface toolkit, that
 supports both X and Windows 95. It was originally based on libForms so it
 should be easy to port Forms programs to Fltk.
 .
 It also includes a very nice user interface designer to write UI code for you.
 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*- made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independant
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

CONFIGURE_FLAGS := --prefix=/usr --sysconfdir=/etc --enable-debug --mandir=/usr/share/man --enable-shared 

LIBFLTK         := libfltk-utf8
LIBFLTK_DEV     := libfltk-utf8-dev
SHARED_LIB      := libfltk-utf8.so.1.1
SONAME_LIB      := libfltk-utf8.so.1.1
STATIC_LIB	:= libfltk-utf8.a
SHARED_IMG_LIB  := libfltk-utf8_images.so.1.1
SONAME_IMG_LIB  := libfltk-utf8_images.so.1.1
STATIC_IMG_LIB	:= libfltk-utf8_images.a
STATIC_GL_LIB	:= libfltk-utf8_gl.a
SHARED_GL_LIB  := libfltk-utf8_gl.so.1.1
SONAME_GL_LIB  := libfltk-utf8_gl.so.1.1

LIBFLTK_TMP     := $(shell pwd)/debian/tmp
LIBFLTK_DEV_TMP := $(shell pwd)/debian/$(LIBFLTK_DEV)

BINDIR          := usr/bin
DOCDIR          := usr/share/doc
INCDIR          := usr/include
LIBDIR          := usr/lib
MANDIR          := usr/share/man

INSTALL_R_FILE  := install -p -m 644 -o root -g root
INSTALL_X_FILE  := install -p -m 755 -o root -g root
INSTALL_DIR     := install -p -m 755 -o root -g root -d

build: build-stamp
build-stamp: configure
	dh_testdir
	./configure $(CONFIGURE_FLAGS)
	$(MAKE) -C src
	$(MAKE) -C fluid
	touch $@

configure: configure.in
	autoconf

clean:
	dh_testdir
	test ! -d $(LIBFLTK_TMP) || test -O $(LIBFLTK_TMP) || dh_testroot

	-$(MAKE) distclean
	rm -f *-stamp lib/libfltk-utf8* src/libfltk-utf8.* config.h config.status config.cache
	dh_clean

# Build architecture-independent files here.
binary-indep: 

binary-arch: build
#	dh_testversion
	dh_testdir -a
	dh_testroot -a
	dh_clean -a -k

	$(INSTALL_DIR)      $(LIBFLTK_TMP)/$(LIBDIR)
	$(INSTALL_DIR)      $(LIBFLTK_TMP)/$(DOCDIR)/$(LIBFLTK)
	$(INSTALL_R_FILE)   src/$(SHARED_LIB) $(LIBFLTK_TMP)/$(LIBDIR)
#	ln -nsf             $(SHARED_LIB) $(LIBFLTK_TMP)/$(LIBDIR)/$(SONAME_LIB)
	$(INSTALL_R_FILE)   src/$(SHARED_IMG_LIB) $(LIBFLTK_TMP)/$(LIBDIR)
	$(INSTALL_R_FILE)   src/$(SHARED_GL_LIB) $(LIBFLTK_TMP)/$(LIBDIR)
#	ln -nsf             $(SHARED_IMG_LIB) $(LIBFLTK_TMP)/$(LIBDIR)/$(SONAME_IMG_LIB)
	$(INSTALL_R_FILE)   debian/copyright $(LIBFLTK_TMP)/$(DOCDIR)/$(LIBFLTK)/copyright
	$(INSTALL_R_FILE)   debian/changelog $(LIBFLTK_TMP)/$(DOCDIR)/$(LIBFLTK)/changelog.Debian

	$(INSTALL_DIR)      $(LIBFLTK_DEV_TMP)/$(LIBDIR)
	$(INSTALL_DIR)      $(LIBFLTK_DEV_TMP)/$(BINDIR)
	$(INSTALL_DIR)      $(LIBFLTK_DEV_TMP)/$(INCDIR)/FL
	$(INSTALL_DIR)      $(LIBFLTK_DEV_TMP)/$(DOCDIR)/$(LIBFLTK)

	ln -nsf $(LIBFLTK)  $(LIBFLTK_DEV_TMP)/$(DOCDIR)/$(LIBFLTK_DEV)
	cp -r documentation $(LIBFLTK_DEV_TMP)/$(DOCDIR)/$(LIBFLTK)/documentation
	chown -R root.root  $(LIBFLTK_DEV_TMP)/$(DOCDIR)/$(LIBFLTK)/documentation
	chmod    644        $(LIBFLTK_DEV_TMP)/$(DOCDIR)/$(LIBFLTK)/documentation/*
	cp -r test          $(LIBFLTK_DEV_TMP)/$(DOCDIR)/$(LIBFLTK)/examples
	chown -R root.root  $(LIBFLTK_DEV_TMP)/$(DOCDIR)/$(LIBFLTK)/examples
	chmod    644        $(LIBFLTK_DEV_TMP)/$(DOCDIR)/$(LIBFLTK)/examples/*

	$(INSTALL_R_FILE)   lib/$(STATIC_LIB) $(LIBFLTK_DEV_TMP)/$(LIBDIR)
	ln -nsf             $(SHARED_LIB) $(LIBFLTK_DEV_TMP)/$(LIBDIR)/libfltk-utf8.so
	$(INSTALL_R_FILE)   lib/$(STATIC_IMG_LIB) $(LIBFLTK_DEV_TMP)/$(LIBDIR)
	$(INSTALL_R_FILE)   lib/$(STATIC_GL_LIB) $(LIBFLTK_DEV_TMP)/$(LIBDIR)
	ln -nsf             $(SHARED_IMG_LIB) $(LIBFLTK_DEV_TMP)/$(LIBDIR)/libfltk-utf8_images.so
	ln -nsf             $(SHARED_GL_LIB) $(LIBFLTK_DEV_TMP)/$(LIBDIR)/libfltk-utf8_gl.so
	-cp -r FL/*.h FL/*.H $(LIBFLTK_DEV_TMP)/$(INCDIR)/FL
	ln -nfs FL $(LIBFLTK_DEV_TMP)/$(INCDIR)/Fl
	( cd $(LIBFLTK_DEV_TMP)/$(INCDIR)/FL && \
          for file in *.H; do \
	    ln -nfs $$file $$(basename $$file .H).h ; \
          done \
	) 
	chown -R root.root  $(LIBFLTK_DEV_TMP)/$(INCDIR)
	chmod    644        $(LIBFLTK_DEV_TMP)/$(INCDIR)/FL/*
	chmod    755        $(LIBFLTK_DEV_TMP)/$(INCDIR)
	chmod    755        $(LIBFLTK_DEV_TMP)/$(INCDIR)/FL
	$(INSTALL_X_FILE)   fluid/fluid   $(LIBFLTK_DEV_TMP)/$(BINDIR)/fluid
	$(INSTALL_X_FILE)   fltk-config   $(LIBFLTK_DEV_TMP)/$(BINDIR)/fltk-config

	cp makeinclude $(LIBFLTK_DEV_TMP)/$(DOCDIR)/$(LIBFLTK)/examples/
	sed -e 's!\.\./makeinclude!makeinclude!g' \
	    -e 's!\.\./src/make_timestamp!!g' \
	    test/Makefile > \
	    $(LIBFLTK_DEV_TMP)/$(DOCDIR)/$(LIBFLTK)/examples/Makefile

	$(INSTALL_DIR) $(LIBFLTK_DEV_TMP)/$(MANDIR)/man1
	$(INSTALL_R_FILE) \
		documentation/fluid.man \
		$(LIBFLTK_DEV_TMP)/$(MANDIR)/man1/fluid.1

	dh_installmenu -plibfltk-utf8-dev
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	LD_LIBRARY_PATH=$(LIBFLTK_TMP)/$(LIBDIR) dh_shlibdeps -a
	dh_gencontrol -u-isp
	dh_md5sums -a
	dh_builddeb -a

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
